Bug 28956 - Acquisitions: select correct default tax rate when receiving orders
Summary: Acquisitions: select correct default tax rate when receiving orders
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: wainuiwitikapark
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-06 23:25 UTC by wainuiwitikapark
Modified: 2021-10-26 01:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 28956: correct default tax rate on orderreceive (1.94 KB, patch)
2021-09-06 23:49 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 28956: correct default tax rate on orderreceive (2.06 KB, patch)
2021-10-10 11:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description wainuiwitikapark 2021-09-06 23:25:41 UTC
When there is more than one tax rate defined in system preferences, and a vendor has a tax rate that is not 0%, then when you are receiving an order in a basket for that vendor, the default tax rate should be the correct non 0 rate. This should be seen in acqui/orderreceive.
Comment 1 wainuiwitikapark 2021-09-06 23:49:29 UTC
Created attachment 124567 [details] [review]
Bug 28956: correct default tax rate on orderreceive

When there is more than one tax rate defined in system preferences, and
a vendor has a tax rate that is not 0%, then when you are receiving an
order in a basket for that vendor, the default tax rate should be the
correct non 0 rate. This should be seen in acqui/orderreceive.

To test:
1) Go to staff client
2) Go to Koha administration
3) Search for "tax rate" in system preferences
4) Add 0|0.15 into the preference
5) Create a vendor
6) Set vendor tax rate to 15%
7) Add a new basket to vendor
8) Add to basket
9) Add any sample order to basket - add actual cost
10) Close basket
11) Receive shipment
12) Make invoice
13) Click on Receive in the table
14) Should be on orderreceive.pl page
15) Observe tax rate default is 0%
16) Apply patch
17) Refresh page
18) Observe tax rate default is 15%

Sponsored-by: Catalyst IT
Comment 2 Julien Sicot (Univ. Rennes 2) 2021-10-08 06:47:06 UTC
Hello,

Thank you for this patch, I tested it (master and 20.11.x) and it applies well and fixes the issue.

Many thanks :)

Julien Sicot
Systems Librarian
Université Rennes 2
Comment 3 wainuiwitikapark 2021-10-10 01:54:10 UTC
Hi Julien,

Thank you very much, that's great to hear!

Thanks,

Wainui
Comment 4 Katrin Fischer 2021-10-10 11:49:40 UTC
Created attachment 126017 [details] [review]
Bug 28956: correct default tax rate on orderreceive

When there is more than one tax rate defined in system preferences, and
a vendor has a tax rate that is not 0%, then when you are receiving an
order in a basket for that vendor, the default tax rate should be the
correct non 0 rate. This should be seen in acqui/orderreceive.

To test:
1) Go to staff client
2) Go to Koha administration
3) Search for "tax rate" in system preferences
4) Add 0|0.15 into the preference
5) Create a vendor
6) Set vendor tax rate to 15%
7) Add a new basket to vendor
8) Add to basket
9) Add any sample order to basket - add actual cost
10) Close basket
11) Receive shipment
12) Make invoice
13) Click on Receive in the table
14) Should be on orderreceive.pl page
15) Observe tax rate default is 0%
16) Apply patch
17) Refresh page
18) Observe tax rate default is 15%

Sponsored-by: Catalyst IT

Signed-off-by: Julien Sicot <julien.sicot@univ-rennes2.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-10-10 11:50:34 UTC
Hi Julien, I hope it's ok, I added your sign-off line as:

Signed-off-by: Julien Sicot <julien.sicot@univ-rennes2.fr>
Comment 6 Jonathan Druart 2021-10-12 09:18:34 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-10-22 14:57:32 UTC
Pushed to 21.05.x for 21.05.05
Comment 8 Fridolin Somers 2021-10-23 01:45:12 UTC
Pushed to 20.11.x for 20.11.11
Comment 9 Victor Grousset/tuxayo 2021-10-26 01:03:38 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.